package com.tencent.mm.plugin.appbrand.jsapi.media;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask$ProcessRequest;
import com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseImage.a;

final class JsApiChooseImage$ChooseRequest extends AppBrandProxyUIProcessTask$ProcessRequest {
    public static final Creator<JsApiChooseImage$ChooseRequest> CREATOR = new 1();
    String appId;
    int count;
    boolean hOS;
    boolean hOT;
    boolean hOU;
    boolean hOV;

    public final Class<? extends AppBrandProxyUIProcessTask> aCa() {
        return a.class;
    }

    public final void k(Parcel parcel) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(131127);
        this.appId = parcel.readString();
        this.count = parcel.readInt();
        if (parcel.readByte() != (byte) 0) {
            z = true;
        } else {
            z = false;
        }
        this.hOS = z;
        if (parcel.readByte() != (byte) 0) {
            z = true;
        } else {
            z = false;
        }
        this.hOT = z;
        if (parcel.readByte() != (byte) 0) {
            z = true;
        } else {
            z = false;
        }
        this.hOU = z;
        if (parcel.readByte() == (byte) 0) {
            z2 = false;
        }
        this.hOV = z2;
        AppMethodBeat.o(131127);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        byte b;
        byte b2 = (byte) 1;
        AppMethodBeat.i(131128);
        parcel.writeString(this.appId);
        parcel.writeInt(this.count);
        if (this.hOS) {
            b = (byte) 1;
        } else {
            b = (byte) 0;
        }
        parcel.writeByte(b);
        if (this.hOT) {
            b = (byte) 1;
        } else {
            b = (byte) 0;
        }
        parcel.writeByte(b);
        if (this.hOU) {
            b = (byte) 1;
        } else {
            b = (byte) 0;
        }
        parcel.writeByte(b);
        if (!this.hOV) {
            b2 = (byte) 0;
        }
        parcel.writeByte(b2);
        AppMethodBeat.o(131128);
    }

    public final String aBZ() {
        return "GalleryChooseImage";
    }

    public final boolean aBY() {
        return true;
    }

    JsApiChooseImage$ChooseRequest() {
    }

    JsApiChooseImage$ChooseRequest(Parcel parcel) {
        AppMethodBeat.i(131129);
        k(parcel);
        AppMethodBeat.o(131129);
    }

    static {
        AppMethodBeat.i(131130);
        AppMethodBeat.o(131130);
    }
}
